package com.centreproject.system.mapper.kpi;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.centreproject.system.domain.kpi.guestExperience.KpiTransport;
import com.centreproject.system.domain.vo.KpiTransportDetailVo;
import com.centreproject.system.domain.vo.KpiTransportVo;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * @author zhonglei.xu
 */
@DS("master")
public interface KpiTransportMapper extends BaseMapper<KpiTransport> {


    KpiTransportVo getTransportByLast60Days();

    KpiTransportVo getTransportByPrevious60Days();

    List<KpiTransportDetailVo> getTransportByLast60DaysDetail();

    List<KpiTransportDetailVo> getTransportByLast7DaysDetail();
}
